org.apache.fop.render.ps

## Class PSDocumentHandler.FOPPSGeneratorImpl

- java.lang.Object
- - org.apache.xmlgraphics.ps.PSGenerator
  - - org.apache.fop.render.ps.PSDocumentHandler.FOPPSGeneratorImpl

- All Implemented Interfaces:
    PSDocumentHandler.FOPPSGenerator, org.apache.xmlgraphics.ps.PSCommandMap
  Enclosing class:
    PSDocumentHandler

      public class PSDocumentHandler.FOPPSGeneratorImpl
      extends org.apache.xmlgraphics.ps.PSGenerator
      implements PSDocumentHandler.FOPPSGenerator

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.ps.PSGenerator

      `ATEND, DEFAULT_LANGUAGE_LEVEL, LF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPPSGeneratorImpl(OutputStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PSDocumentHandler` | `getHandler()`
    `Map<Integer,URI>` | `getImages()`
    `BufferedOutputStream` | `getTempStream(URI uri)`
    `Source` | `resolveURI(String uri)` Need to subclass PSGenerator to have better URI resolution

    - ### Methods inherited from class org.apache.xmlgraphics.ps.PSGenerator

      `commentln, concatMatrix, concatMatrix, concatMatrix, convertRealToDSC, convertStringToDSC, convertStringToDSC, defineRect, embedIdentityH, escapeChar, flush, formatDouble, formatDouble5, formatMatrix, formatRectangleToArray, getCurrentState, getIdentityHCMapResource, getOutputStream, getProcsetCIDInitResource, getPSLevel, getResourceTracker, includeProcsetCIDInitResource, isAcrobatDownsample, isCommentsEnabled, isCompactMode, isResourceSupplied, mapCommand, newLine, notifyResourceUsage, notifyStartNewPage, restoreGraphicsState, saveGraphicsState, setAcrobatDownsample, setCommentsEnabled, setCompactMode, setPSLevel, setResourceTracker, showPage, useColor, useDash, useFont, useLineCap, useLineJoin, useLineWidth, useMiterLimit, useRGBColor, write, write, writeByteArr, writeDSCComment, writeDSCComment, writeDSCComment, writeln, writeResources`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FOPPSGeneratorImpl

          public FOPPSGeneratorImpl(OutputStream out)

  - ### Method Detail

    - #### resolveURI

          public Source resolveURI(String uri)

      Need to subclass PSGenerator to have better URI resolution
      Overrides:
        `resolveURI` in class `org.apache.xmlgraphics.ps.PSGenerator`

    - #### getHandler

          public PSDocumentHandler getHandler()

      Specified by:
        `getHandler` in interface `PSDocumentHandler.FOPPSGenerator`

    - #### getTempStream

          public BufferedOutputStream getTempStream(URI uri)
                                             throws IOException

      Specified by:
        `getTempStream` in interface `PSDocumentHandler.FOPPSGenerator`
      Throws:
        `IOException`

    - #### getImages

          public Map<Integer,URI> getImages()

      Specified by:
        `getImages` in interface `PSDocumentHandler.FOPPSGenerator`

Copyright © 2023 Apache Software Foundation. All rights reserved.